class_name ButtonBase
extends Button

signal clicked(button)

func _ready() -> void:
	add_to_group(GameConstants.GROUP_BUTTONS)


func _on_pressed():
	clicked.emit(self)
	AudioManager.play_sfx(GameConstants.SFX_UI_CLICK)
